scala.tools.nsc.transform.patmat.MatchOptimization.SwitchEmission

# RegularSwitchMaker

#### class RegularSwitchMaker extends SwitchMaker

Source
  MatchOptimization.scala

Linear Supertypes
SwitchMaker, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. RegularSwitchMaker
2. SwitchMaker
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new RegularSwitchMaker(scrutSym: Global.Symbol, matchFailGenOverride: Option[(Global.Tree) ⇒ Global.Tree], unchecked: Boolean)

### Type Members

1. #### abstract class SwitchableTreeMakerExtractor extends AnyRef

   Definition Classes
     SwitchMaker

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from RegularSwitchMaker to any2stringadd[RegularSwitchMaker] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (RegularSwitchMaker, B)

   Implicit information
     This member is added by an implicit conversion from RegularSwitchMaker to ArrowAssoc[RegularSwitchMaker] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### object GuardAndBodyTreeMakers

   Definition Classes
     SwitchMaker

7. #### object SwitchablePattern

8. #### object SwitchableTreeMaker extends SwitchableTreeMakerExtractor

   Definition Classes
     RegularSwitchMaker → SwitchMaker

9. #### val alternativesSupported: Boolean

   Definition Classes
     RegularSwitchMaker → SwitchMaker

10. #### def apply(cases: List[(Global.Symbol, List[SwitchEmission.TreeMaker])], pt: Global.Type): List[Global.CaseDef]

    Definition Classes
      SwitchMaker

11. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

12. #### val canJump: Boolean

    Definition Classes
      RegularSwitchMaker → SwitchMaker

13. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

14. #### def defaultBody: Global.Tree

    Definition Classes
      RegularSwitchMaker → SwitchMaker

15. #### def defaultCase(scrutSym: Global.Symbol = defaultSym, guard: Global.Tree = EmptyTree, body: Global.Tree = defaultBody): Global.CaseDef

    Definition Classes
      RegularSwitchMaker → SwitchMaker

16. #### def defaultSym: Global.Symbol

    Definition Classes
      RegularSwitchMaker → SwitchMaker

17. #### def ensuring(cond: (RegularSwitchMaker) ⇒ Boolean, msg: ⇒ Any): RegularSwitchMaker

    Implicit information
      This member is added by an implicit conversion from RegularSwitchMaker to Ensuring[RegularSwitchMaker] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

18. #### def ensuring(cond: (RegularSwitchMaker) ⇒ Boolean): RegularSwitchMaker

    Implicit information
      This member is added by an implicit conversion from RegularSwitchMaker to Ensuring[RegularSwitchMaker] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

19. #### def ensuring(cond: Boolean, msg: ⇒ Any): RegularSwitchMaker

    Implicit information
      This member is added by an implicit conversion from RegularSwitchMaker to Ensuring[RegularSwitchMaker] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

20. #### def ensuring(cond: Boolean): RegularSwitchMaker

    Implicit information
      This member is added by an implicit conversion from RegularSwitchMaker to Ensuring[RegularSwitchMaker] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

21. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

23. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

24. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from RegularSwitchMaker to StringFormat[RegularSwitchMaker] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

25. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

26. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

27. #### def isDefault(x: Global.CaseDef): Boolean

    Definition Classes
      RegularSwitchMaker → SwitchMaker

28. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

29. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

30. #### final def notify(): Unit

    Definition Classes
      AnyRef

31. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

32. #### val switchableTpe: Set[Global.Type]

33. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

34. #### def toString(): String

    Definition Classes
      AnyRef → Any

35. #### val unchecked: Boolean

    Should exhaustivity analysis be skipped?

    Should exhaustivity analysis be skipped?

    Definition Classes
      RegularSwitchMaker → SwitchMaker

36. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

37. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

38. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

39. #### def →[B](y: B): (RegularSwitchMaker, B)

    Implicit information
      This member is added by an implicit conversion from RegularSwitchMaker to ArrowAssoc[RegularSwitchMaker] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from SwitchMaker

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from RegularSwitchMaker to any2stringadd[RegularSwitchMaker]

### Inherited by implicit conversion StringFormat from RegularSwitchMaker to StringFormat[RegularSwitchMaker]

### Inherited by implicit conversion Ensuring from RegularSwitchMaker to Ensuring[RegularSwitchMaker]

### Inherited by implicit conversion ArrowAssoc from RegularSwitchMaker to ArrowAssoc[RegularSwitchMaker]

### Ungrouped